Package org.apache.nutch.metadata

# Class CaseInsensitiveMetadata

java.lang.Object
org.apache.nutch.metadata.Metadata
org.apache.nutch.metadata.CaseInsensitiveMetadata

All Implemented Interfaces:
  `Writable`, `CreativeCommons`, `DublinCore`, `Feed`, `HttpHeaders`, `Nutch`

Direct Known Subclasses:
  `SpellCheckedMetadata`

public class CaseInsensitiveMetadata extends Metadata
A decorator to Metadata that adds for case-insensitive lookup of keys.

- ## Field Summary

  ### Fields inherited from class org.apache.nutch.metadata.Metadata

  `metadata`

  ### Fields inherited from interface org.apache.nutch.metadata.CreativeCommons

  `LICENSE_LOCATION, LICENSE_URL, WORK_TYPE`

  ### Fields inherited from interface org.apache.nutch.metadata.DublinCore

  `CONTRIBUTOR, COVERAGE, CREATOR, DATE, DESCRIPTION, FORMAT, IDENTIFIER, LANGUAGE, MODIFIED, PUBLISHER, RELATION, RIGHTS, SOURCE, SUBJECT, TITLE, TYPE`

  ### Fields inherited from interface org.apache.nutch.metadata.Feed

  `FEED, FEED_AUTHOR, FEED_PUBLISHED, FEED_TAGS, FEED_UPDATED`

  ### Fields inherited from interface org.apache.nutch.metadata.HttpHeaders

  `CLIENT_TRANSFER_ENCODING, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_MD5, CONTENT_TYPE, IF_MODIFIED_SINCE, LAST_MODIFIED, LOCATION, TRANSFER_ENCODING, USER_AGENT, WRITABLE_CONTENT_TYPE`

  ### Fields inherited from interface org.apache.nutch.metadata.Nutch

  `ARG_CRAWLDB, ARG_HOSTDB, ARG_LINKDB, ARG_SEEDDIR, ARG_SEGMENTDIR, ARG_SEGMENTS, CACHING_FORBIDDEN_ALL, CACHING_FORBIDDEN_CONTENT, CACHING_FORBIDDEN_KEY, CACHING_FORBIDDEN_NONE, CHAR_ENCODING_FOR_CONVERSION, CRAWL_ID_KEY, FETCH_EVENT_CONTENTLANG, FETCH_EVENT_CONTENTTYPE, FETCH_EVENT_FETCHTIME, FETCH_EVENT_SCORE, FETCH_EVENT_TITLE, FETCH_STATUS_KEY, FETCH_TIME_KEY, FIXED_INTERVAL_KEY, GENERATE_TIME_KEY, ORIGINAL_CHAR_ENCODING, PROTO_STATUS_KEY, PROTOCOL_STATUS_CODE_KEY, REPR_URL_KEY, ROBOTS_METATAG, SCORE_KEY, SEGMENT_NAME_KEY, SIGNATURE_KEY, STAT_PROGRESS, VAL_RESULT, WRITABLE_FIXED_INTERVAL_KEY, WRITABLE_GENERATE_TIME_KEY, WRITABLE_PROTO_STATUS_KEY, WRITABLE_REPR_URL_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaseInsensitiveMetadata()`
  Constructs a new, empty metadata.

- ## Method Summary

  ### Methods inherited from class org.apache.nutch.metadata.Metadata

  `add, addAll, clear, equals, get, getValues, isMultiValued, names, readFields, remove, set, setAll, size, toString, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CaseInsensitiveMetadata

    public CaseInsensitiveMetadata()
    Constructs a new, empty metadata.